CREATE procedure [C6StagingPeriodico].[RP_ST_CONTRATTIPRETRIMESTRALEFINETRIMESTRE]
AS
-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_CONTRATTIPRETRIMESTRALEFINETRIMESTRE',
		GETDATE(),
		'Elaborazione trimestrale'
	)
--TRUNCATE TABLE EsclusioneContrattiPerQuadratura
TRUNCATE TABLE C6StagingPeriodico.ContrattiPreTrimestraleFineTrimestre
INSERT INTO C6StagingPeriodico.ContrattiPreTrimestraleFineTrimestre
SELECT  
    v.chiaveclientepb,   
    [Cod_Fiscale],
    [Cod_Mandato],	
	[PIva_Fiduciaria],
	[Cod_Agente],
	[Rete],
	[CodiceContratto],
	[FlagROL],
	[Indirizzo],
	[CAP],
	[Citta],
	[Provincia],
	[Nazione],
	[Presso],
	[Email],
	[Freq_Diagnosi],
	[FREQ_MONITORAGGIO],
	GENERAZIONEREPORT,
	DATA_INIZIOBASE,	
	DATA_FINEBASE,	
	DATA_PERF_BASE,	
	DATA_PERF,	
	DATA_INZIOAVANZATO,	
	DATA_FINEAVANZATO,	
	RIATTIVAZIONE,	
	m.TIP_CONTRATTO,	
	TIP_RIATTIVAZIONE,
	ClienteMIGRATO,	
	RISORSENA,	
	PROFILOATTIVO,
	NumSolleciti,	
	NumRevoche,	
	Data_ultimoSollecito,	
	Data_ultimaRevoca,	
	InvioBenvenuto	
FROM 
    [C6Mart].[vContratti] v
       INNER JOIN [C6Mart].[CONTRATTOSEI_METADATI] m
    ON v.chiaveclientepb = m.chiaveclientepb
WHERE
	codicecontratto <> '390026CO101' and cod_agente <> '015312' --MRRRRT78S30L219K cliente di prova
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_CONTRATTIPRETRIMESTRALE' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_CONTRATTIPRETRIMESTRALE'
		)